proxy_cache_path /data/nginx/cache/gitea levels=1:2 keys_zone=gitea:10m max_size=10g
                 inactive=60m use_temp_path=off;

# git.xai-corp.net
server {
    # this is the internal Docker DNS, cache only for 30s
    resolver 127.0.0.11 valid=5s;

    listen  443 ssl;
    server_name git.xai-corp.net;

    set $backend http://gitea_app:3000;
    #set $backend http://dkhost.xai-corp.net:10080;

    ssl_certificate     /etc/letsencrypt/live/xai-corp.net/fullchain.pem;
    ssl_certificate_key /etc/letsencrypt/live/xai-corp.net/privkey.pem;

    #Strict-Transport-Security: max-age=15768000
    add_header Strict-Transport-Security "max-age=15768000; includeSubDomains" always;

    location / {
        proxy_pass $backend;
    }
}
